Get data collection specification
curl --request GET \
--url https://api.getmembrane.com/connections/{id}/data/{dataCollectionKey} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getmembrane.com/connections/{id}/data/{dataCollectionKey}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getmembrane.com/connections/{id}/data/{dataCollectionKey}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getmembrane.com/connections/{id}/data/{dataCollectionKey}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getmembrane.com/connections/{id}/data/{dataCollectionKey}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.getmembrane.com/connections/{id}/data/{dataCollectionKey}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getmembrane.com/connections/{id}/data/{dataCollectionKey}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"type": "collection",
"name": "<string>",
"key": "<string>",
"parametersSchema": {
"type": "<string>",
"title": "<string>",
"description": "<string>",
"format": "<string>",
"properties": {},
"items": "<unknown>",
"additionalProperties": true,
"enum": [
"<string>"
],
"referenceRecords": [
{}
],
"referenceCollection": {
"key": {},
"parameters": {}
},
"referenceUdm": "<string>",
"default": {},
"allowCustom": true,
"required": [
"<string>"
],
"minLength": 123,
"maxLength": 123,
"minimum": 123,
"maximum": 123,
"maxItems": 123,
"readOnly": true,
"writeOnly": true,
"examples": [
{}
],
"anyOf": "<array>",
"isImplied": true,
"isSensitive": true,
"referenceCollectionPath": "<string>",
"referenceCollectionUri": "<string>"
},
"fieldsSchema": {
"type": "<string>",
"title": "<string>",
"description": "<string>",
"format": "<string>",
"properties": {},
"items": "<unknown>",
"additionalProperties": true,
"enum": [
"<string>"
],
"referenceRecords": [
{}
],
"referenceCollection": {
"key": {},
"parameters": {}
},
"referenceUdm": "<string>",
"default": {},
"allowCustom": true,
"required": [
"<string>"
],
"minLength": 123,
"maxLength": 123,
"minimum": 123,
"maximum": 123,
"maxItems": 123,
"readOnly": true,
"writeOnly": true,
"examples": [
{}
],
"anyOf": "<array>",
"isImplied": true,
"isSensitive": true,
"referenceCollectionPath": "<string>",
"referenceCollectionUri": "<string>"
},
"list": {
"apiRequests": [
{
"path": {},
"method": {}
}
],
"filterFields": [
"<string>"
]
},
"search": {
"apiRequests": [
{
"path": {},
"method": {}
}
]
},
"match": {
"apiRequests": [
{
"path": {},
"method": {}
}
],
"fields": [
"<string>"
]
},
"findById": {
"apiRequests": [
{
"path": {},
"method": {}
}
]
},
"create": {
"apiRequests": [
{
"path": {},
"method": {}
}
],
"fields": [
"<string>"
],
"requiredFields": [
"<string>"
],
"excludedFields": [
"<string>"
]
},
"update": {
"apiRequests": [
{
"path": {},
"method": {}
}
],
"fields": [
"<string>"
],
"excludedFields": [
"<string>"
]
},
"delete": {
"apiRequests": [
{
"path": {},
"method": {}
}
]
},
"events": {
"created": {
"type": "push",
"isFullScan": true,
"isIdOnly": true
},
"updated": {
"type": "push",
"isFullScan": true,
"isIdOnly": true
},
"deleted": {
"type": "push",
"isFullScan": true,
"isIdOnly": true
},
"all": {
"type": "push",
"isFullScan": true,
"isIdOnly": true
}
},
"customFields": true,
"udm": {},
"find": {
"apiRequests": [
{
"path": {},
"method": {}
}
],
"queryFields": [
"<string>"
]
}
}Data Collections
Get data collection specification
GET
/
connections
/
{id}
/
data
/
{dataCollectionKey}
Get data collection specification
curl --request GET \
--url https://api.getmembrane.com/connections/{id}/data/{dataCollectionKey} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getmembrane.com/connections/{id}/data/{dataCollectionKey}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getmembrane.com/connections/{id}/data/{dataCollectionKey}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getmembrane.com/connections/{id}/data/{dataCollectionKey}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getmembrane.com/connections/{id}/data/{dataCollectionKey}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.getmembrane.com/connections/{id}/data/{dataCollectionKey}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getmembrane.com/connections/{id}/data/{dataCollectionKey}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"type": "collection",
"name": "<string>",
"key": "<string>",
"parametersSchema": {
"type": "<string>",
"title": "<string>",
"description": "<string>",
"format": "<string>",
"properties": {},
"items": "<unknown>",
"additionalProperties": true,
"enum": [
"<string>"
],
"referenceRecords": [
{}
],
"referenceCollection": {
"key": {},
"parameters": {}
},
"referenceUdm": "<string>",
"default": {},
"allowCustom": true,
"required": [
"<string>"
],
"minLength": 123,
"maxLength": 123,
"minimum": 123,
"maximum": 123,
"maxItems": 123,
"readOnly": true,
"writeOnly": true,
"examples": [
{}
],
"anyOf": "<array>",
"isImplied": true,
"isSensitive": true,
"referenceCollectionPath": "<string>",
"referenceCollectionUri": "<string>"
},
"fieldsSchema": {
"type": "<string>",
"title": "<string>",
"description": "<string>",
"format": "<string>",
"properties": {},
"items": "<unknown>",
"additionalProperties": true,
"enum": [
"<string>"
],
"referenceRecords": [
{}
],
"referenceCollection": {
"key": {},
"parameters": {}
},
"referenceUdm": "<string>",
"default": {},
"allowCustom": true,
"required": [
"<string>"
],
"minLength": 123,
"maxLength": 123,
"minimum": 123,
"maximum": 123,
"maxItems": 123,
"readOnly": true,
"writeOnly": true,
"examples": [
{}
],
"anyOf": "<array>",
"isImplied": true,
"isSensitive": true,
"referenceCollectionPath": "<string>",
"referenceCollectionUri": "<string>"
},
"list": {
"apiRequests": [
{
"path": {},
"method": {}
}
],
"filterFields": [
"<string>"
]
},
"search": {
"apiRequests": [
{
"path": {},
"method": {}
}
]
},
"match": {
"apiRequests": [
{
"path": {},
"method": {}
}
],
"fields": [
"<string>"
]
},
"findById": {
"apiRequests": [
{
"path": {},
"method": {}
}
]
},
"create": {
"apiRequests": [
{
"path": {},
"method": {}
}
],
"fields": [
"<string>"
],
"requiredFields": [
"<string>"
],
"excludedFields": [
"<string>"
]
},
"update": {
"apiRequests": [
{
"path": {},
"method": {}
}
],
"fields": [
"<string>"
],
"excludedFields": [
"<string>"
]
},
"delete": {
"apiRequests": [
{
"path": {},
"method": {}
}
]
},
"events": {
"created": {
"type": "push",
"isFullScan": true,
"isIdOnly": true
},
"updated": {
"type": "push",
"isFullScan": true,
"isIdOnly": true
},
"deleted": {
"type": "push",
"isFullScan": true,
"isIdOnly": true
},
"all": {
"type": "push",
"isFullScan": true,
"isIdOnly": true
}
},
"customFields": true,
"udm": {},
"find": {
"apiRequests": [
{
"path": {},
"method": {}
}
],
"queryFields": [
"<string>"
]
}
}Authorizations
Response
200 - application/json
Was this page helpful?